## ESourceComboBox

ESourceComboBox

## Functions

GtkWidget * | e_source_combo_box_new ()
ESourceRegistry * | e_source_combo_box_get_registry ()
void | e_source_combo_box_set_registry ()
const gchar * | e_source_combo_box_get_extension_name ()
void | e_source_combo_box_set_extension_name ()
gboolean | e_source_combo_box_get_show_colors ()
void | e_source_combo_box_set_show_colors ()
ESource * | e_source_combo_box_ref_active ()
void | e_source_combo_box_set_active ()

## Properties

gchar * | extension-name | Read / Write / Construct
ESourceRegistry * | registry | Read / Write / Construct
gboolean | show-colors | Read / Write / Construct

## Types and Values

struct | ESourceComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── ESourceComboBox
                                ╰── EClientComboBox

## Implemented Interfaces

ESourceComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### e_source_combo_box_new ()

    GtkWidget *
    e_source_combo_box_new (ESourceRegistry *registry,
                            const gchar *extension_name);

Creates a new ESourceComboBox widget that lets the user pick an ESource from the provided ESourceRegistry. The displayed sources are restricted to those which have an `extension_name` extension.

#### Parameters

registry | an ESourceRegistry, or `NULL` |
extension_name | an ESource extension name |

#### Returns

a new ESourceComboBox

Since: 2.22

### e_source_combo_box_get_registry ()

    ESourceRegistry *
    e_source_combo_box_get_registry (ESourceComboBox *combo_box);

Returns the ESourceRegistry used to populate `combo_box` .

#### Parameters

combo_box | an ESourceComboBox |

#### Returns

the ESourceRegistry, or `NULL`

Since: 3.6

### e_source_combo_box_set_registry ()

    void
    e_source_combo_box_set_registry (ESourceComboBox *combo_box,
                                     ESourceRegistry *registry);

Sets the ESourceRegistry used to populate `combo_box` .

This function is intended for cases where `combo_box` is instantiated by a GtkBuilder and has to be given an ESourceRegistry after it is fully constructed.

#### Parameters

combo_box | an ESourceComboBox |
registry | an ESourceRegistry |

Since: 3.6

### e_source_combo_box_get_extension_name ()

    const gchar *
    e_source_combo_box_get_extension_name (ESourceComboBox *combo_box);

Returns the extension name used to filter which data sources are shown in `combo_box` .

#### Parameters

combo_box | an ESourceComboBox |

#### Returns

the ESource extension name

Since: 3.6

### e_source_combo_box_set_extension_name ()

    void
    e_source_combo_box_set_extension_name (ESourceComboBox *combo_box,
                                           const gchar *extension_name);

Sets the extension name used to filter which data sources are shown in `combo_box` .

#### Parameters

combo_box | an ESourceComboBox |
extension_name | an ESource extension name |

Since: 3.6

### e_source_combo_box_get_show_colors ()

    gboolean
    e_source_combo_box_get_show_colors (ESourceComboBox *combo_box);

Returns whether colors are shown next to data sources.

#### Parameters

combo_box | an ESourceComboBox |

#### Returns

`TRUE` if colors are being shown

Since: 3.6

### e_source_combo_box_set_show_colors ()

    void
    e_source_combo_box_set_show_colors (ESourceComboBox *combo_box,
                                        gboolean show_colors);

Sets whether to show colors next to data sources.

#### Parameters

combo_box | an ESourceComboBox |
show_colors | whether to show colors |

Since: 3.6

### e_source_combo_box_ref_active ()

    ESource *
    e_source_combo_box_ref_active (ESourceComboBox *combo_box);

Returns the ESource corresponding to the currently active item, or `NULL` if there is no active item.

The returned ESource is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

combo_box | an ESourceComboBox |

#### Returns

an ESource or `NULL`

Since: 3.6

### e_source_combo_box_set_active ()

    void
    e_source_combo_box_set_active (ESourceComboBox *combo_box,
                                   ESource *source);

Sets the active item to the one corresponding to `source` .

#### Parameters

combo_box | an ESourceComboBox |
source | an ESource |

Since: 2.22

## Types and Values

### struct ESourceComboBox

    struct ESourceComboBox;

Since: 2.22

## Property Details

### The `“extension-name”` property

      “extension-name”           gchar *

ESource extension name to filter.

Flags: Read / Write / Construct

Default value: NULL

### The `“registry”` property

      “registry”                 ESourceRegistry *

Data source registry.

Flags: Read / Write / Construct

### The `“show-colors”` property

      “show-colors”              gboolean

Whether to show colors next to names.

Flags: Read / Write / Construct

Default value: TRUE